Build #481

Build: #481 was successful

Job: Default Job was successful

Stages & jobs

  1. Default Stage

Job result summary

Completed
Duration
11 minutes
Revision
d159cb65915840b2dc2297ee6b40309b8aa5d2aa d159cb65915840b2dc2297ee6b40309b8aa5d2aa
Total tests
18977
Successful since
#479 ()

Tests

  • 18,977 tests in total
  • 240 tests were quarantined / skipped
  • 4 minutes taken in total.

Error summary

The build generated some errors. See the full build log for more details.

POM relocation to an other version number is not fully supported in Gradle : xml-apis:xml-apis:2.0.2 relocated to xml-apis:xml-apis:1.0.b2.
Note: /opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-core/src/test/java/org/springframework/core/io/buffer/DataBufferUtilsTests.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: /opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-web/src/test/java/org/springframework/http/converter/json/Jackson2ObjectMapperFactoryBeanTests.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: /opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-webflux/src/test/java/org/springframework/web/reactive/result/method/annotation/RequestMappingMessageConversionIntegrationTests.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
warning: No processor claimed any of these annotations: javax.persistence.Entity,javax.persistence.MappedSuperclass,javax.persistence.Converter,org.junit.Test,org.springframework.stereotype.Controller,org.springframework.context.index.sample.MetaController,org.springframework.core.type.Scope,org.springframework.stereotype.Component,org.junit.Rule,org.springframework.stereotype.Service,org.springframework.beans.factory.annotation.Qualifier,org.springframework.stereotype.Indexed,javax.persistence.Embeddable,javax.inject.Named,org.springframework.stereotype.Repository,org.springframework.context.index.sample.MetaControllerIndexed,org.junit.Before,javax.annotation.ManagedBean
1 warning
javadoc: warning - Multiple sources of package comments found for package "groovy.lang"
javadoc: warning - Multiple sources of package comments found for package "org.codehaus.groovy"
javadoc: warning - Multiple sources of package comments found for package "org.codehaus.groovy.runtime"
javadoc: warning - Multiple sources of package comments found for package "org.codehaus.groovy.control"
javadoc: warning - Multiple sources of package comments found for package "javax.servlet"
javadoc: warning - Multiple sources of package comments found for package "javax.servlet.http"
javadoc: warning - Multiple sources of package comments found for package "javax.servlet.descriptor"
javadoc: warning - Multiple sources of package comments found for package "javax.servlet.annotation"
/opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-web/src/main/java/org/springframework/web/client/DefaultResponseErrorHandler.java:84: warning - Tag @see: reference not found: HttpStatus.Series#CLIENT_ERROR
/opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-web/src/main/java/org/springframework/web/client/DefaultResponseErrorHandler.java:84: warning - Tag @see: reference not found: HttpStatus.Series#SERVER_ERROR
/opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-web/src/main/java/org/springframework/web/client/DefaultResponseErrorHandler.java:114: warning - Tag @link: reference not found: HttpStatus.Series#CLIENT_ERROR
/opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-web/src/main/java/org/springframework/web/client/DefaultResponseErrorHandler.java:114: warning - Tag @link: reference not found: HttpStatus.Series#SERVER_ERROR
/opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-web/src/main/java/org/springframework/web/client/DefaultResponseErrorHandler.java:114: warning - Tag @link: reference not found: HttpStatus.Series#CLIENT_ERROR
/opt/bamboo-home/xml-data/build-dir/SPR-PUB8-JOB1/spring-web/src/main/java/org/springframework/web/client/DefaultResponseErrorHandler.java:114: warning - Tag @link: reference not found: HttpStatus.Series#SERVER_ERROR
warning: runtime JAR files in the classpath have the version 1.2, which is older than the API version 1.3. Consider using the runtime of version 1.3, or pass '-api-version 1.2' explicitly to restrict the available APIs to the runtime of version 1.2. You can also pass '-language-version 1.2' instead, which will restrict not only the APIs to the specified version, but also the language features
/opt/users/bamboo/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-reflect/1.2.71/7512db3b3182753bd2e48ce8d345abbadc40fe6b/kotlin-reflect-1.2.71.jar: warning: runtime JAR file has version 1.2 which is older than required for API version 1.3
/opt/users/bamboo/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.2.71/d9717625bb3c731561251f8dd2c67a1011d6764c/kotlin-stdlib-1.2.71.jar: warning: runtime JAR file has version 1.2 which is older than required for API version 1.3
/opt/users/bamboo/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-common/1.2.71/ba18ca1aa0e40eb6f1865b324af2f4cbb691c1ec/kotlin-stdlib-common-1.2.71.jar: warning: runtime JAR file has version 1.2 which is older than required for API version 1.3
logging: old runtime has been found in the classpath. Initial language version settings: Language = 1.3, API = 1.3. Updated language version settings: org.jetbrains.kotlin.cli.jvm.JvmRuntimeVersionsCon[email protected]346fa022